[Pkg-openldap-devel] r721 - openldap/trunk-2.3/debian
Torsten Landschoff
torsten at costa.debian.org
Thu Aug 31 20:45:03 UTC 2006
Author: torsten
Date: 2006-08-31 20:45:03 +0000 (Thu, 31 Aug 2006)
New Revision: 721
Added:
openldap/trunk-2.3/debian/upstream_strip_nondfsg.sh
Log:
Add a script to strip non-free parts from the upstream archive.
Added: openldap/trunk-2.3/debian/upstream_strip_nondfsg.sh
===================================================================
--- openldap/trunk-2.3/debian/upstream_strip_nondfsg.sh (rev 0)
+++ openldap/trunk-2.3/debian/upstream_strip_nondfsg.sh 2006-08-31 20:45:03 UTC (rev 721)
@@ -0,0 +1,26 @@
+#! /bin/sh -e
+
+if [ "$#" -ne 1 ]; then
+ echo >&2 "Usage: $0 <upstream-archive.tar.gz>"
+ exit 1
+fi
+
+archive=$1
+
+
+# Unpack the upstream archive to a temporary directory
+tempdir=`mktemp -d`
+tar -C $tempdir -xzf $archive
+
+
+# Remove RFCs as they are not DFSG-free
+rm -R $tempdir/openldap-*/doc/rfc
+
+
+# Recreate the archive from the data
+temparchive=`mktemp $archive.XXXXXX`
+tar -C $tempdir -cf - .|gzip -9 > "$temparchive"
+mv $temparchive $archive
+
+# Remove temporary files
+rm -R $tempdir
More information about the Pkg-openldap-devel
mailing list